Aller au contenu

condenser_api.get_withdraw_routes ​

Purpose ​

Retourne les routes de retrait (withdraw route) d'un compte. Paramètres : account:string ; type:string

account (string)type (string)
"steemit""outgoing"Interroge les routes de retrait sortantes de "steemit".
"steemit""incoming"Interroge les routes de retrait entrantes de "steemit".
"steemit""all"Interroge toutes les routes de retrait de "steemit".

Voir aussi : database_api.list_withdraw_vesting_routes

Parameters ​

PARAMETERS
json
[
  "",
  ""
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "outgoing"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "incoming"
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "all"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "from_account": "",
    "to_account": "",
    "percent": 0,
    "auto_vest": false
  }
]